PyBuiltinCallable.DefaultInfo (Jython API documentation)
Date: 2022-09-10

org.python.core

## Class PyBuiltinCallable.DefaultInfo

- java.lang.Object
- - org.python.core.PyBuiltinCallable.DefaultInfo

- All Implemented Interfaces:
    java.io.Serializable, PyBuiltinCallable.Info
  Enclosing class:
    PyBuiltinCallable

      public static class PyBuiltinCallable.DefaultInfo
      extends java.lang.Object
      implements PyBuiltinCallable.Info

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultInfo(java.lang.String name)`
    `DefaultInfo(java.lang.String name, int minargs, int maxargs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `check(int nargs, int minargs, int maxargs)`
    `int` | `getMaxargs()`
    `int` | `getMinargs()`
    `java.lang.String` | `getName()`
    `PyException` | `unexpectedCall(int nargs, boolean keywords)`
    `static PyException` | `unexpectedCall(int nargs, boolean keywords, java.lang.String name, int minargs, int maxargs)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultInfo

          public DefaultInfo(java.lang.String name,
                             int minargs,
                             int maxargs)

    - #### DefaultInfo

          public DefaultInfo(java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `PyBuiltinCallable.Info`

    - #### getMaxargs

          public int getMaxargs()

      Specified by:
        `getMaxargs` in interface `PyBuiltinCallable.Info`

    - #### getMinargs

          public int getMinargs()

      Specified by:
        `getMinargs` in interface `PyBuiltinCallable.Info`

    - #### check

          public static boolean check(int nargs,
                                      int minargs,
                                      int maxargs)

    - #### unexpectedCall

          public static PyException unexpectedCall(int nargs,
                                                   boolean keywords,
                                                   java.lang.String name,
                                                   int minargs,
                                                   int maxargs)

    - #### unexpectedCall

          public PyException unexpectedCall(int nargs,
                                            boolean keywords)

      Specified by:
        `unexpectedCall` in interface `PyBuiltinCallable.Info`

Jython homepage